
:root{
    font-size:62.5%;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-weight: 400;
}

a {
    text-decoration: none;
}

.website {
    display: flex;
}

.wrapper{
    width: 25rem;
    display: flex;
    flex-direction: column;
    padding: 30px 15px 0 15px;
    border-right: 1px solid #D3D3D3;
    margin-top: 40px;
    position: sticky;
    top: 1px;
    align-self: flex-start;
}

.wrapper-structure {
    width: 25rem;
    display: flex;
    flex-direction: column;
    padding: 30px 15px 0 15px;
    border-right: 1px solid #D3D3D3;
    margin-top: 40px;
    position: sticky;
    top: 1px;
    align-self: flex-start;
}

.logo {
    width: 100%;
    height: auto;
    margin-bottom: 30px;
    padding: 0 15px 0 0;
}

.first-section-hiperlinks h3 {
    font-family: Work Sans;
    margin-bottom: 15px;
    margin-left: 10px;
    font-weight: 600;
}

.border-initial {
    top: 50%;
    left: 50%;
    display: flex;
    width: 100%;
    align-items: center;
    height: 35px;
    border: 1px solid #333;
    border-radius: 20px;
    margin-bottom: 10px;
}

.second-section-hiperlinks h3 {
    font-family: Work Sans;
    margin-bottom: 15px;
    margin-left: 10px;
    font-weight: 600;
    margin-top: 50px;
}

.border-initial i {
    font-size: 1.4rem;
    margin-left: 30px;
    margin-right: 10px;
}

.border-initial p {
    background: none;
    font-size: 14px;
    font-weight: 500;
    font-family: Work Sans;
    text-decoration: none;
    border-radius: 4px;
    transition: .6s;
    overflow: hidden;
}

.topRatedbtn.activate a{
    top: 50%;
    left: 50%;
    display: flex;
    width: 100%;
    align-items: center;
    height: 35px;
    border: 1px solid #333;
    border-radius: 20px;
    margin-bottom: 10px;
}

.popularbtn.desactivate a {
    top: 50%;
    left: 50%;
    display: flex;
    width: 100%;
    align-items: center;
    height: 35px;
    border-radius: 20px;
    margin-bottom: 10px;
    border: 1px solid transparent;
}

.popularbtn.desactivate a:hover {
    border: 1px solid #808080;
    cursor: pointer;
}

.border {
    top: 50%;
    left: 50%;
    display: flex;
    width: 100%;
    align-items: center;
    height: 35px;
    border-radius: 20px;
    margin-bottom: 10px;
    border: 1px solid transparent;
}

.border a {
    text-decoration: none;
}

.border:hover {
    border: 1px solid #808080;
    cursor: pointer;
}

.border i {
    font-size: 1.4rem;
    margin-left: 30px;
    margin-right: 10px;
    color: #808080;
}

.border p {
    background: none;
    font-size: 14px;
    font-weight: 500;
    font-family: Work Sans;
    color: #808080;
    text-decoration: none;
    border-radius: 4px;
    transition: .6s;
    overflow: hidden;
}

.footer {
    margin-top: 20px;
}

.credits {
    max-width: 140px;
    margin: auto;
}

.footer p {
    background: none;
    font-size: 10px;
    font-weight: 500;
    font-family: Work Sans;
    text-decoration: none;
    border-radius: 4px;
    transition: .6s;
    overflow: hidden;
}

.footer img {
    width: 100%;
    height: auto;
    margin-bottom: 30px;
    padding: 0 15px 0 0;
}

.wrapper-small-desktop {
    width: 325px;
    height: 100%;
    box-sizing: border-box;
    overflow: auto scroll;
    background: #263238;
    padding: 2.5em 1.5em;
    position: fixed;
    z-index: 9999;
    transition: all 0.5s;
    display: none;
}

.wrapper-small-desktop.open {
    left: 0;
}

.close-wrapper-small-desktop {
    display: flex;
    margin-bottom: 10px;
    justify-content: flex-end;
}

.close-wrapper-small-desktop i {
    color: #fff;
    font-size: 15px;
    margin-right: 5px;
}

.first-section-hiperlinks-small-desktop h3 {
    font-family: Work Sans;
    margin-bottom: 15px;
    margin-left: 10px;
    font-weight: 600;
    color: #fff;
}

.border-initial-small-desktop {
    top: 50%;
    left: 50%;
    display: flex;
    width: 100%;
    align-items: center;
    height: 35px;
    border: 1px solid #fff;
    border-radius: 20px;
    margin-bottom: 10px;
}

.second-section-hiperlinks-small-desktop h3 {
    font-family: Work Sans;
    margin-bottom: 15px;
    margin-left: 10px;
    font-weight: 600;
    margin-top: 30px;
    color: #fff;
}

.border-initial-small-desktop i {
    font-size: 1.4rem;
    margin-left: 30px;
    margin-right: 10px;
    color: #fff;
}

.border-initial-small-desktop p {
    background: none;
    font-size: 12px;
    font-weight: 500;
    font-family: Work Sans;
    text-decoration: none;
    border-radius: 4px;
    transition: .6s;
    overflow: hidden;
    color: #fff;
}

.border-small-desktop {
    top: 50%;
    left: 50%;
    display: flex;
    width: 100%;
    align-items: center;
    height: 35px;
    border-radius: 20px;
    margin-bottom: 10px;
    border: 1px solid transparent;
}
.border-small-desktop:hover {
    border: 1px solid #fff;
}

.border-small-desktop i {
    font-size: 1.4rem;
    margin-left: 30px;
    margin-right: 10px;
    color: #aaaaaa;
}

.border-small-desktop p {
    background: none;
    font-size: 12px;
    font-weight: 500;
    font-family: Work Sans;
    color: #aaaaaa;
    text-decoration: none;
    border-radius: 4px;
    transition: .6s;
    overflow: hidden;
}

.footer-small-desktop {
    margin-top: 20px;
}

.footer-small-desktop a {
    background: none;
    font-size: 10px;
    font-weight: 500;
    font-family: Work Sans;
    text-decoration: none;
    border-radius: 4px;
    transition: .6s;
    overflow: hidden;
    color: #fff;
}

.footer-small-desktop img {
    width: 90px;
    height: 35px;
    margin-top: 15px;
}

.navbar-small-desktop {
    width: 100%;
    z-index: 999;
    display: none;
    position: sticky;
    top: 0px;
    justify-content: space-between;
    align-items: center;
    padding: 1.5rem 2rem;
    background-color: #b0bec5;
    box-shadow: 0 1px 20px;
}

.hamburger i {
    font-size: 20px;
}

.movie-section {
    flex: 1;
    padding: 6rem 4rem;
}

.search-box-section {
    display: flex;
    align-items: center;
    justify-content: flex-end;
}


.search-box{
    position: relative;
    background: #2f3640;
    border-radius: 40px;
}

.search-box:hover > .search-txt{
    width: 240px;
    padding: 0 6px;
}

.search-btn{
    color: #fff;
    float: left;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background: #2f3640;
    display: flex;
    justify-content: center;
    align-items: center;
}

.search-txt{
    border: none;
    background: none;
    outline: none;
    float: left;
    padding: 0;
    color: white;
    font-size: 16px;
    transition: 0.4s;
    line-height: 40px;
    width: 0;
}

.title-box-section{
    margin-bottom: 30px;
}

.title-box h2{
    font-family: Roboto;
    font-size: 2.5rem;
    font-weight: 100;
    margin-left: 1px;
}

.title-box h3{
    font-family: Roboto;
    font-size: 1.3rem;
    font-weight: 800;
}

.recomended-movies-titles {
    margin-left: 3rem;
}

.recomended-movies-titles h2{
    font-family: Roboto;
    font-size: 2.5rem;
    font-weight: 100;
    margin-left: 1px;
}

.recomended-movies-titles h3{
    font-family: Roboto;
    font-size: 1.3rem;
    font-weight: 800;
}

.recomended-movies-box {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(10rem, 25rem));
    place-content: space-between space-evenly;
    gap: 4rem 4rem;
}

.recomended-movies-box-structure {
    display: none;
    grid-template-columns: repeat(auto-fit, minmax(10rem, 25rem));
    place-content: space-between space-evenly;
    gap: 4rem 4rem;
}

.recomended-movies-box .recomended-movies-box-structure{
    display: block
}

.first-card-structure {
    display: flex;
    flex-direction: column;
    text-decoration: none;
    background-color: transparent;
    border-radius: 0.8rem;
    position: relative;
    max-width: 25rem;
    max-height: 45rem;
    transition: 0.3s;
    cursor: pointer;
}

.first-card-structure:hover {
    box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
    background-color: #263238;
    color: #fff;
    transform: scale(1.03);
}

.first-card:hover .card-txt h2{
    color: #fff;
    text-decoration: none;
}

.card {
    display: flex;
    flex-direction: column;
    text-decoration: none;
    background-color: transparent;
    border-radius: 0.8rem;
    position: relative;
    max-width: 25rem;
    max-height: 45rem;
    transition: 0.3s;
    cursor: pointer;
    
    text-decoration: none;
}
  
.card:hover {
    box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
    background-color: #263238;
    color: #fff;
    transform: scale(1.03);
}

.card:hover .card-txt h2 {
    color: #fff;
    text-decoration: none;
}

.card-txt {
    text-align: center;
    font-size: 1.3rem;
    font-weight: 400;
}

.card-txt h2 {
    width: 150px;
    margin: auto;
    margin-top: 10px;
    margin-bottom: 5px;
    font-family: 'Roboto';
    font-size: 12px;
    color: #00664d;
    text-decoration: none;
}

.card-txt p {
    margin-bottom: 10px;
    margin-top: 10px;
}

.card-txt p.green {
    color: green;
}

.card-txt p.orange {
    color: orange;
}

.card-txt p.red {
    color: red;
}

.card-img {
    max-width: 100%;
    height: auto;
    object-fit: cover;
    border-radius: 0.8rem;
    transition: all 100ms;
}

.nextpag-section {
    margin-top: 6rem;
    display: flex;
}

.nextpag-button {
    top: 50%;
    left: 50%;
    max-width: 11rem;
    height: 3.5rem;
    border-radius: 20px;
    transition: all 500ms;
    background-color: #263238;
    color: #ffffff;
    border: 1px solid transparent;
    margin-left: auto;
    cursor: pointer;
}

.nextpag-button:hover {
    transform: translateY(-3px);
    border: 1px solid #333;
    background-color: #fff;
}

.nextpag-button:hover a {
    color: #000;
}

.nextpag-button:hover i {
    color: #000;
}

.nextpag-button i {
    font-size: 1.4rem;
    margin-left: 1rem;
    margin-top: 1rem;
    margin-right: 1.5rem;
    transition: 0.6s;
}

.nextpag-button a {
    background: none;
    font-size: 1.4rem;
    font-weight: 500;
    font-family: Work Sans;
    text-decoration: none;
    border-radius: 4px;
    transition: .6s;
    overflow: hidden;
    margin-left: 15px;
    transition: 0.6s;
}

.backpag-button {
    top: 50%;
    left: 50%;
    max-width: 11rem;
    height: 3.5rem;
    border-radius: 20px;
    transition: all 500ms;
    background-color: #263238;
    color: #ffffff;
    border: 1px solid transparent;
    cursor: pointer;
}

.backpag-button.none {
    display: none;
}

.backpag-button:hover {
    transform: translateY(-3px);
    border: 1px solid #333;
    background-color: #fff;
}

.backpag-button:hover a {
    color: #000;
}

.backpag-button:hover i {
    color: #000;
}

.backpag-button i {
    font-size: 1.4rem;
    margin-top: 1rem;
    transition: 0.6s;
    margin-left: 1.5rem;
    margin-right: 1rem;
}

.backpag-button a {
    background: none;
    font-size: 1.4rem;
    font-weight: 500;
    font-family: Work Sans;
    text-decoration: none;
    border-radius: 4px;
    transition: .6s;
    overflow: hidden;
    margin-right: 1.5rem;
    transition: 0.6s;
}

@media(max-width: 1550px){

    :root{
        font-size:50.5%;
    }

    .border-initial {
        max-width: 180px;
    }

    .border:hover {
        max-width: 180px;
    }

}

@media(max-width: 1380px){

    .wrapper {
        display: none;
    }

    .navbar-small-desktop {
        display: flex;
    }

    .website {
        display: block;
    }

    .search-box-none {
        display: none;
    }

    .search-btn {
        width: 30px;
        height: 30px;
    }

    .search-txt {
        font-size: 15px;
        line-height: 30px;
    }

    .wrapper-small-desktop {
        display: block;
        left: -100%;
        transition: all 0.6s;
    }

}

@media(max-width: 480px){

    .hamburger i {
        font-size: 15px;
    }

    .search-btn {
        width: 25px;
        height: 25px;
    }

    .search-box:hover > .search-txt {
        width: 162px;
        padding: 0 6px;
    }

    .search-txt {
        font-size: 10px;
        line-height: 25px;
    }
}

@media(max-width: 325px){

    .wrapper-small-desktop {
        width: 260px;
    }
}